import { html } from '@genesislcap/web-core';
import { mapStateToLayoutProps, rankWith } from '@jsonforms/core';
import { LAYOUT_CATEGORIZATION_RANK } from './RenderersRanks';
export const LayoutCategorizationRendererTemplate = html `
  <template>
    <categorization-wrapper :form=${(x) => x} :control=${(x) => x.control}></categorization-wrapper>
  </template>
`;
export const LayoutCategorizationRendererEntry = {
    renderer: LayoutCategorizationRendererTemplate,
    tester: rankWith(LAYOUT_CATEGORIZATION_RANK, (uiSchema) => uiSchema.type === 'Categorization'),
    mapper: mapStateToLayoutProps,
};
